﻿using System;
using System.Collections.Generic;
using System.Text;

using Obvs.Logging;

namespace Obvs.Logging.NetCore
{
    public class NetCoreLoggerFactory : ILoggerFactory
    {
        private Microsoft.Extensions.Logging.ILoggerFactory _logger;

        public NetCoreLoggerFactory(Microsoft.Extensions.Logging.ILoggerFactory target )
        {
            _logger = target;
        }

        public ILogger Create(string name)
        {
            if (_logger == null) return null;
            return new NetCoreLogger( _logger.CreateLogger( name ) );
        }

        public ILogger Create<T>()
        {
            if (_logger == null) return null;
            return Create(typeof(T).FullName);
        }
    }
}
